- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QDirectionalLight
- Qt 6.8.2 Reference Documentation

# QDirectionalLight Class

class Qt3DRender::QDirectionalLight

Encapsulate a Directional Light object in a Qt 3D scene. More...

Header: | `#include <QDirectionalLight>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | DirectionalLight
Inherits: | Qt3DRender::QAbstractLight
Status: | Deprecated

- List of all members, including inherited members

## Properties

- worldDirection : QVector3D

## Public Functions

| QDirectionalLight(Qt3DCore::QNode *parent = nullptr)
QVector3D | worldDirection() const

## Public Slots

void | setWorldDirection(const QVector3D &worldDirection)

## Signals

void | worldDirectionChanged(const QVector3D &worldDirection)

## Detailed Description

A directional light is a light source that behaves similar to sunlight. The light from a directional light hits all objects from the same direction and with the same intensity, regardless of where they are in the scene.

## Property Documentation

### worldDirection : QVector3D

Specifies the world direction of the directional light.

Note: The exact meaning and use of this property is up to the material implementation.

Access functions:

QVector3D | worldDirection() const
void | setWorldDirection(const QVector3D &worldDirection)

Notifier signal:

void | worldDirectionChanged(const QVector3D &worldDirection)

## Member Function Documentation

### `[explicit]` QDirectionalLight::QDirectionalLight(Qt3DCore::QNode *parent = nullptr)

Constructs a new QDirectionalLight with the specified parent.